ITDept:
  id: ITDept
  source: default
  name: ITDept
  description: LDAP SKAO IT mapping for admin privileges
  readOnly: false
  privileges:
    - nx-all
  roles: []
readonly:
  id: ReadOnly
  source: default
  name: readonly
  description: Read only access
  readOnly: false
  privileges:
    - nx-search-read
    - ska-all-repos-read
  roles: []
SKA-P4-Switch-Internal-RW:
  id: SKA-P4-Switch-Internal-RW
  source: default
  name: SKA-P4-Switch-Internal-RW
  description: SKA P4 private artefacts management user
  readOnly: false
  privileges:
    - nx-repository-admin-raw-p4-switch-internal-*
    - nx-search-read
    - nx-component-upload
  roles: []
skaadmins:
  id: SKAAdmins
  source: default
  name: skaadmins
  description: All SKA Admins
  readOnly: false
  privileges:
    - nx-all
  roles: []
SKACustomAno:
  id: SKACustomAnon
  source: default
  name: SKACustomAnon
  description: Limited read only access for anon
  readOnly: false
  privileges:
    - nx-healthcheck-read
    - nx-repository-view-apt-*-browse
    - nx-repository-view-apt-*-read
    - nx-repository-view-apt-ubuntu-jammy-proxy-browse
    - nx-repository-view-conan-*-browse
    - nx-repository-view-conan-*-read
    - nx-repository-view-gitlfs-*-browse
    - nx-repository-view-gitlfs-*-read
    - nx-repository-view-go-*-browse
    - nx-repository-view-go-*-read
    - nx-repository-view-helm-*-browse
    - nx-repository-view-helm-*-read
    - nx-repository-view-maven2-*-browse
    - nx-repository-view-maven2-*-read
    - nx-repository-view-npm-*-browse
    - nx-repository-view-npm-*-read
    - nx-repository-view-pypi-*-browse
    - nx-repository-view-pypi-*-read
    - nx-repository-view-raw-*-browse
    - nx-repository-view-raw-*-read
    - nx-repository-view-raw-ansible-internal-browse
    - nx-repository-view-raw-ansible-internal-read
    - nx-repository-view-raw-ansible-quarantine-browse
    - nx-repository-view-raw-ansible-quarantine-read
    - nx-repository-view-raw-k8s-ci-creds-internal-read
    - nx-repository-view-raw-raw-all-browse
    - nx-repository-view-raw-raw-all-read
    - nx-repository-view-raw-raw-internal-browse
    - nx-repository-view-raw-raw-internal-read
    - nx-repository-view-raw-raw-quarantine-browse
    - nx-repository-view-raw-raw-quarantine-read
    - nx-repository-view-raw-raw-telmodel-browse
    - nx-repository-view-raw-raw-telmodel-read
  roles: []
skadevelopers:
  id: SKADeveloppers
  source: default
  name: skadevelopers
  description: All SKA developers
  readOnly: false
  privileges:
    - nx-component-upload
    - nx-repository-view-apt-*-add
    - nx-repository-view-apt-*-browse
    - nx-repository-view-apt-*-edit
    - nx-repository-view-apt-*-read
    - nx-repository-view-conan-*-add
    - nx-repository-view-conan-*-browse
    - nx-repository-view-conan-*-edit
    - nx-repository-view-conan-*-read
    - nx-repository-view-gitlfs-*-add
    - nx-repository-view-gitlfs-*-browse
    - nx-repository-view-gitlfs-*-edit
    - nx-repository-view-gitlfs-*-read
    - nx-repository-view-go-*-add
    - nx-repository-view-go-*-browse
    - nx-repository-view-go-*-edit
    - nx-repository-view-go-*-read
    - nx-repository-view-helm-helm-internal-add
    - nx-repository-view-helm-helm-internal-browse
    - nx-repository-view-helm-helm-internal-edit
    - nx-repository-view-helm-helm-internal-read
    - nx-repository-view-helm-helm-proxy-add
    - nx-repository-view-helm-helm-proxy-browse
    - nx-repository-view-helm-helm-proxy-edit
    - nx-repository-view-helm-helm-proxy-read
    - nx-repository-view-maven2-*-add
    - nx-repository-view-maven2-*-browse
    - nx-repository-view-maven2-*-edit
    - nx-repository-view-maven2-*-read
    - nx-repository-view-npm-*-add
    - nx-repository-view-npm-*-browse
    - nx-repository-view-npm-*-edit
    - nx-repository-view-npm-*-read
    - nx-repository-view-pypi-pypi-internal-add
    - nx-repository-view-pypi-pypi-internal-browse
    - nx-repository-view-pypi-pypi-internal-edit
    - nx-repository-view-pypi-pypi-internal-read
    - nx-repository-view-pypi-pypi-proxy-add
    - nx-repository-view-pypi-pypi-proxy-browse
    - nx-repository-view-pypi-pypi-proxy-edit
    - nx-repository-view-pypi-pypi-proxy-read
    - nx-repository-view-raw-ansible-internal-add
    - nx-repository-view-raw-ansible-internal-browse
    - nx-repository-view-raw-ansible-internal-edit
    - nx-repository-view-raw-ansible-internal-read
    - nx-repository-view-raw-k8s-ci-creds-internal-add
    - nx-repository-view-raw-k8s-ci-creds-internal-browse
    - nx-repository-view-raw-k8s-ci-creds-internal-edit
    - nx-repository-view-raw-k8s-ci-creds-internal-read
    - nx-repository-view-raw-raw-internal-add
    - nx-repository-view-raw-raw-internal-browse
    - nx-repository-view-raw-raw-internal-edit
    - nx-repository-view-raw-raw-internal-read
    - nx-repository-view-raw-raw-telmodel-add
    - nx-repository-view-raw-raw-telmodel-browse
    - nx-repository-view-raw-raw-telmodel-edit
    - nx-repository-view-raw-raw-telmodel-read
    - nx-search-read
    - ska-project-deploy
    - ska-all-repos-read
  roles: []
skaquarantine:
  id: SKAQuarantine
  source: default
  name: skaquarantine
  description: SKA quarantine access
  readOnly: false
  privileges:
    - nx-repository-view-*-*-edit
    - nx-search-read
    - nx-repository-view-*-*-read
    - nx-component-upload
    - nx-repository-view-*-*-add
    - nx-repository-view-*-*-browse
    - nx-repository-view-*-*-delete
  roles: []
skareadwrite:
  id: SKAReadWrite
  source: default
  name: skareadwrite
  description: SKA Read write access
  readOnly: false
  privileges:
    - nx-search-read
    - nx-component-upload
    - ska-project-deploy
    - ska-all-repos-read
  roles: []
nx-custom-anon:
  id: nx-custom-anon
  source: default
  name: nx-custom-anon
  description: Custom anonymous role
  readOnly: false
  privileges:
    - nx-healthcheck-read
    - nx-repository-view-apt-*-browse
    - nx-repository-view-apt-*-read
    - nx-repository-view-apt-ubuntu-jammy-proxy-browse
    - nx-repository-view-conan-*-browse
    - nx-repository-view-conan-*-read
    - nx-repository-view-gitlfs-*-browse
    - nx-repository-view-gitlfs-*-read
    - nx-repository-view-go-*-browse
    - nx-repository-view-go-*-read
    - nx-repository-view-helm-*-browse
    - nx-repository-view-helm-*-read
    - nx-repository-view-maven2-*-browse
    - nx-repository-view-maven2-*-read
    - nx-repository-view-npm-*-browse
    - nx-repository-view-npm-*-read
    - nx-repository-view-pypi-*-browse
    - nx-repository-view-pypi-*-read
    - nx-repository-view-raw-ansible-internal-browse
    - nx-repository-view-raw-ansible-internal-read
    - nx-repository-view-raw-ansible-quarantine-browse
    - nx-repository-view-raw-ansible-quarantine-read
    - nx-repository-view-raw-k8s-ci-creds-internal-read
    - nx-repository-view-raw-raw-all-browse
    - nx-repository-view-raw-raw-all-read
    - nx-repository-view-raw-raw-internal-browse
    - nx-repository-view-raw-raw-internal-read
    - nx-repository-view-raw-raw-quarantine-browse
    - nx-repository-view-raw-raw-quarantine-read
    - nx-repository-view-raw-raw-telmodel-browse
    - nx-repository-view-raw-raw-telmodel-read
    - nx-search-read
  roles: []
raw-internal-p4-switch-rw:
  id: raw-internal-p4-switch-rw
  source: default
  name: raw-internal-p4-switch-rw
  description: Access P4 Switch data repository
  readOnly: false
  privileges:
    - nx-repository-view-raw-p4-switch-internal-browse
    - nx-repository-admin-raw-p4-switch-internal-*
    - nx-search-read
    - nx-repository-view-raw-p4-switch-internal-*
    - nx-component-upload
    - nx-repository-view-raw-p4-switch-internal-read
  roles: []
raw-sts-608-test:
  id: raw-sts-608-test
  source: default
  name: raw-sts-608-test
  description: STS-608 Temporary Access
  readOnly: false
  privileges:
    - nx-repository-view-raw-sts-608-delete
    - nx-search-read
    - nx-component-upload
    - nx-repository-view-raw-sts-608-*
    - nx-repository-admin-raw-sts-608-*
    - nx-repository-view-raw-sts-608-browse
  roles: []
skaconanreadwrite:
  id: skaconanreadwrite
  source: default
  name: skaconanreadwrite
  description: SKA Conan Read/Write
  readOnly: false
  privileges:
    - nx-repository-view-conan-conan-internal-edit
    - nx-search-read
    - nx-repository-view-conan-conan-internal-*
    - nx-repository-view-conan-conan-internal-add
    - nx-component-upload
    - nx-repository-view-conan-conan-internal-read
    - nx-repository-view-conan-conan-internal-delete
    - nx-repository-view-conan-conan-internal-browse
  roles: []
skao-it:
  id: skao-it
  source: default
  name: skao-it
  description: LDAP SKAO IT mapping for admin privileges
  readOnly: false
  privileges:
    - nx-all
  roles: []
skao-nexus-users:
  id: skao-nexus-users
  source: default
  name: skao-nexus-users
  description: LDAP skao-nexus-users mapping for admin privileges
  readOnly: false
  privileges:
    - nx-all
  roles: []
skarawreadwrite:
  id: skarawreadwrite
  source: default
  name: skarawreadwrite
  description: SKA Raw Repository Read/Write
  readOnly: false
  privileges:
    - nx-repository-view-raw-raw-internal-edit
    - nx-repository-view-raw-raw-internal-read
    - nx-search-read
    - nx-repository-view-raw-raw-internal-add
    - nx-component-upload
    - nx-repository-view-raw-raw-internal-*
    - nx-repository-view-raw-raw-internal-browse
    - nx-repository-view-raw-raw-internal-delete
  roles: []
